## DMS Get Time request

DMS Get Time request

## Functions

QmiMessageDmsGetTimeOutput * | qmi_message_dms_get_time_output_ref ()
void | qmi_message_dms_get_time_output_unref ()
gboolean | qmi_message_dms_get_time_output_get_result ()
gboolean | qmi_message_dms_get_time_output_get_device_time ()
gboolean | qmi_message_dms_get_time_output_get_system_time ()
gboolean | qmi_message_dms_get_time_output_get_user_time ()
void | qmi_client_dms_get_time ()
QmiMessageDmsGetTimeOutput * | qmi_client_dms_get_time_finish ()

## Types and Values

| QmiMessageDmsGetTimeOutput

## Object Hierarchy

        GBoxed
        ╰── QmiMessageDmsGetTimeOutput

## Description

## Functions

### qmi_message_dms_get_time_output_ref ()

    QmiMessageDmsGetTimeOutput *
    qmi_message_dms_get_time_output_ref (QmiMessageDmsGetTimeOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsGetTimeOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_dms_get_time_output_unref ()

    void
    qmi_message_dms_get_time_output_unref (QmiMessageDmsGetTimeOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsGetTimeOutput. |

Since: 1.0

### qmi_message_dms_get_time_output_get_result ()

    gboolean
    qmi_message_dms_get_time_output_get_result
                                   (QmiMessageDmsGetTimeOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsGetTimeOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.0

### qmi_message_dms_get_time_output_get_device_time ()

    gboolean
    qmi_message_dms_get_time_output_get_device_time
                                   (QmiMessageDmsGetTimeOutput *self,
                                    guint64 *value_device_time_time_count,
                                    QmiDmsTimeSource *value_device_time_time_source,
                                    GError **error);

Get the 'Device Time' field from `self` .

#### Parameters

self | a QmiMessageDmsGetTimeOutput. |
value_device_time_time_count | a placeholder for the output guint64, or `NULL` if not required. |
value_device_time_time_source | a placeholder for the output QmiDmsTimeSource, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_dms_get_time_output_get_system_time ()

    gboolean
    qmi_message_dms_get_time_output_get_system_time
                                   (QmiMessageDmsGetTimeOutput *self,
                                    guint64 *value_system_time,
                                    GError **error);

Get the 'System Time' field from `self` .

#### Parameters

self | a QmiMessageDmsGetTimeOutput. |
value_system_time | a placeholder for the output guint64, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_dms_get_time_output_get_user_time ()

    gboolean
    qmi_message_dms_get_time_output_get_user_time
                                   (QmiMessageDmsGetTimeOutput *self,
                                    guint64 *value_user_time,
                                    GError **error);

Get the 'User Time' field from `self` .

#### Parameters

self | a QmiMessageDmsGetTimeOutput. |
value_user_time | a placeholder for the output guint64, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_client_dms_get_time ()

    void
    qmi_client_dms_get_time (QmiClientDms *self,
                             gpointer unused,
                             guint timeout,
                             GCancellable *cancellable,
                             GAsyncReadyCallback callback,
                             gpointer user_data);

Asynchronously sends a Get Time request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_get_time_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_dms_get_time_finish ()

    QmiMessageDmsGetTimeOutput *
    qmi_client_dms_get_time_finish (QmiClientDms *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_dms_get_time()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_get_time()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsGetTimeOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_get_time_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageDmsGetTimeOutput

    typedef struct _QmiMessageDmsGetTimeOutput QmiMessageDmsGetTimeOutput;

The QmiMessageDmsGetTimeOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0